package J20250717.demo03_interface02;

import J20250717.demo02_interface.UserDao;
import J20250717.demo02_interface.UserDaoImpl;

/**
 * @author WanJl
 * @version 1.0
 * @title UserServciceImpl
 * @description
 * @create 2025/7/17
 */
public class UserServiceImpl implements UserService {
    //创建UserDao的对象
    //UserDao userDao=new UserDao();
    UserDaoImpl userDao = new UserDaoImpl();  //创建实现类对象

    /**
     * 新增用户
     */
    @Override
    public void addUser() {
        userDao.addUser();
    }

    /**
     * 修改用户
     */
    @Override
    public void updateUser() {
        userDao.updateUser();
    }

    /**
     * 删除用户
     */
    @Override
    public void deleteUser() {
        userDao.deleteUser();
    }

    /**
     * 查询用户列表
     */
    @Override
    public void queryList() {
        userDao.queryList();
    }

    /**
     * 查询单个用户
     */
    @Override
    public void getOneUser() {
        userDao.getOneUser();
    }
}
